Syncfusion AI Assistant

How can I help you?

Built-in Tools in React Rich Text Editor Component

4 Sep 202524 minutes to read

The React Rich Text Editor’s toolbar provide tools for formatting, styling, and managing content, enhancing user productivity in a Rich Text Editor.

By default, the React Rich Text Editor displays the following toolbar items:

Bold , Italic , Underline , | , Formats , Alignments , Blockquote, OrderedList , UnorderedList , | , CreateLink , Image , | , SourceCode , Undo , Redo

These default items cover Essential® text editing features, such as text formatting, lists, alignment, and linking.

Available toolbar items

The following table shows the list of available tools in the Rich Text Editor’s toolbar.

The order of items in the toolbar can be customized to meet your application’s requirements. If no specific order is set, the editor will render the above default toolbar items. Below is a list of all available toolbar items in the Rich Text Editor.

Text formatting

It provides tools for applying text styles such as bold, italic, underline, strike-through, and more to modify the appearance of the text.

Name Icons Summary Initialization
Bold Bold icon Text that is thicker and darker than usual. toolbarSettings: { items: [‘Bold’]}
Italic Italic icon Shows a text that is leaned to the right. toolbarSettings: { items: [‘Italic’]}
Underline Underline icon The underline is added to the selected text. toolbarSettings: { items: [‘Underline’]}
StrikeThrough StrikeThrough icon Apply double line strike through formatting for the selected text. toolbarSettings: { items: [‘StrikeThrough’]}
ClearFormat ClearFormat icon The clear format tool is useful to remove all formatting styles (such as bold, italic, underline, color, superscript, subscript, and more) from currently selected text. As a result, all the text formatting will be cleared and return to its default formatting styles. toolbarSettings: { items: [‘ClearFormat’]}
Blockquote Blockquote icon Blockquotes visually highlight important text within an editor, emphasizing key information or quotations. toobarSettings: { items: [‘Blockquote’]}
SubScript SubScript icon Makes the selected text as subscript (lower). toolbarSettings: { items: [‘SubScript’]}
SuperScript SuperScript icon Makes the selected text as superscript (higher). toolbarSettings: { items: [‘SuperScript’]}
LowerCase LowerCase icon Change the case of selected text to lower in the content. toolbarSettings: { items: [‘LowerCase’]}
UpperCase UpperCase icon Change the case of selected text to upper in the content. toolbarSettings: { items: [‘UpperCase’]}

Font and styling

Tools in this section allow users to customize font properties such as font family, size, color, background color, and paragraph formatting.

Name Icons Summary Initialization
FontName FontName icon Defines the fonts that appear under the Font Family DropDownList from the Rich Text Editor’s toolbar. toolbarSettings: { items: [‘FontName’]}
FontSize FontSize icon Defines the font sizes that appear under the Font Size DropDownList from the Rich Text Editor’s toolbar. toolbarSettings: { items: [‘FontSize’]}
FontColor FontColor icon Specifies an array of colors can be used in the colors popup for font color. toolbarSettings: { items: [‘FontColor’]}
BackgroundColor BackgroundColor icon Specifies an array of colors can be used in the colors popup for background color. toolbarSettings: { items: [‘BackgroundColor’]}
Formats (Paragraph, Headings) Format icon An Object with the options that will appear in the Paragraph Format dropdown from the toolbar. toolbarSettings: { items: [‘Formats’]}

Alignment

This section provides alignment options for the text or content, allowing users to justify text or align it to the left, center, or right.

Name Icons Summary Initialization
Alignment Alignment icon Align the content with left, center, and right margin. toolbarSettings: { items: [‘Alignments’]}
JustifyLeft JustifyLeft icon Allows each line to begin at the same distance from the editor’s left-hand side. toolbarSettings: { items: [‘JustifyLeft’]}
JustifyCenter JustifyCenter icon There is an even space on each side of each line since the text is not aligned to the left or right margins. toolbarSettings: { items: [‘JustifyCenter’]}
JustifyRight JustifyRight icon Allows each line to end at the same distance from the editor’s right-hand side. toolbarSettings: { items: [‘JustifyRight’]}
JustifyFull JustifyFull icon The text is aligned with both right and left margins. toolbarSettings: { items: [‘JustifyFull’]}

Lists and indentation

Tools here allow users to create ordered and unordered lists, change the list style, and adjust indentation levels for improved document structure.

Name Icons Summary Initialization
OrderedList OrderedList icon Create a new list item(numbered). toolbarSettings: { items: [‘OrderedList’]}
UnorderedList UnorderedList icon Create a new list item(bulleted). toolbarSettings: { items: [‘UnorderedList’]}
NumberFormatList NumberFormatList icon Allows to create list items with various list style types(numbered). toolbarSettings: { items: [‘NumberFormatList’]}
BulletFormatList BulletFormatList icon Allows to create list items with various list style types(bulleted). toolbarSettings: { items: [‘BulletFormatList’]}
Indent Indent icon Allows to increase the indent level of the content. toolbarSettings: { items: [‘Indent’]}
Outdent Outdent icon Allows to decrease the indent level of the content. toolbarSettings: { items: [‘Outdent’]}

This section provides tools for inserting and managing hyperlinks within the content. Users can create new links or modify existing ones to enhance document navigation and interactivity.

Name Icons Summary Initialization
Hyperlink Hyperlink icon Creates a hyperlink to a text or image to a specific location in the content. toolbarSettings: { items: [‘CreateLink’]}
InsertLink InsertLink icon Allows users to add a link to a particular item. toolbarSettings: { items: [‘InsertLink’]}

The link quicktoolbar provides tools to manage hyperlinks in the Rich Text Editor, allowing users to add, edit, or remove links from selected text or images directly within the editor.

Name Icons Summary Initialization
OpenLink OpenLink icon To open the URL link that is attached to the selected text. quickToolbarSettings: { link: [‘OpenLink’]}
EditLink EditLink icon Allows you to change the URL that has been attached to a specific item. quickToolbarSettings: { link: [‘EditLink’]}
RemoveLink RemoveLink icon Allows you to remove the applied link from the selected item. quickToolbarSettings: { link: [‘RemoveLink’]}

Images

This section contains the primary tool for inserting images into the editor.

Name Icons Summary Initialization
Insert Image Images icon Inserts an image from an online source or local computer. toolbarSettings: { items: [‘Image’]}

Image quick toolbar items

The image quicktoolbar offers a set of tools to edit images inserted in the Rich Text Editor. It allows users to modify image properties, including alignment, size, alternate text, and links, enhancing image management in the content.

Name Icons Summary Initialization
Replace Image Replace icon Replace the selected image with another image. quickToolbarSettings: { image: [‘Replace’]}
Align Image Alignment icon The image can be aligned to the right, left, or center. quickToolbarSettings: { image: [‘Align’]}
Remove Image Remove icon Allows to remove the selected image from the editor. quickToolbarSettings: { image: [‘Remove’]}
OpenImageLink OpenImageLink icon Opens the link that is attached to the selected image. quickToolbarSettings: { image: [‘OpenImageLink’]}
EditImageLink EditImageLink icon Allows to edit the link that is attached to the selected image. quickToolbarSettings: { image: [‘EditImageLink’]}
RemoveImageLink RemoveImageLink icon Removes the link that is attached to the selected image. quickToolbarSettings: { image: [‘RemoveImageLink’]}
Display Display icon Allows you to choose whether an image should be shown inline or as a block. quickToolbarSettings: { image: [‘Display’]}
AltText AltText icon To display image description when an image on a Web page cannot be displayed. quickToolbarSettings: { image: [‘AltText’]}
Dimension Dimension icon Allows you to customize the image’s height and width. quickToolbarSettings: { image: [‘Dimension’]}

Tables

This section offers the main tool for creating tables within the content.

Name Icons Summary Initialization
CreateTable CreateTable icon Create a table with defined columns and rows. toolbarSettings: { items: [‘CreateTable’]}

Table quick toolbar items

The table quicktoolbar provides options for table editing within the Rich Text Editor. Users can insert or remove rows and columns, merge or split cells, and access table properties for easier table management and customization.

Name Icons Summary Initialization
RemoveTable RemoveTable icon Removes the selected table and its contents. quickToolbarSettings: { table: [‘TableRemove’]}
TableHeader TableHeader icon Allows you to add a table header. quickToolbarSettings: { table: [‘TableHeader’]}
TableColumns TableColumns icon Shows the dropdown to insert a column or delete the selected column. quickToolbarSettings: { table: [‘TableColumns’]}
TableRows TableRows icon Shows the dropdown to insert a row ors delete the selected row. quickToolbarSettings: { table: [‘TableRows’]}
TableCellHorizontalAlign TableCellHorizontalAlign icon Allows the table cell content to be aligned horizontally. quickToolbarSettings: { table: [‘TableCellHorizontalAlign’]}
TableCellVerticalAlign TableCellVerticalAlign icon Allows the table cell content to be aligned vertically. quickToolbarSettings: { table: [‘TableCellVerticalAlign’]}
TableEditProperties TableEditProperties icon Allows you to change the table width, padding, and cell spacing styles. quickToolbarSettings: { table: [‘TableEditProperties’]}

Horizontal Line

Horizontal lines visually separate sections of content in the editor, enhancing readability and layout clarity.

Name Icons Summary Initialization
Horizontal Line HorizontalLine icon Allows you to insert horizontal line. toolbarSettings: { items: [‘HorizontalLine’]}

Undo and redo

These tools allow users to easily undo or redo any changes made within the editor to restore or repeat previous actions.

Name Icons Summary Initialization
Undo Undo icon Allows to undo the actions. toolbarSettings: { items: [‘Undo’]}
Redo Redo icon Allows to redo the actions. toolbarSettings: { items: [‘Redo’]}

Other tools

This section contains miscellaneous tools such as full-screen mode, print, preview, source code editing, and clearing all styles from text.

Name Icons Summary Initialization
FullScreen FullScreen icon Stretches the editor to the maximum width and height of the browser window. toolbarSettings: { items: [‘FullScreen’]}
Maximize Maximize icon Stretches the editor to the maximum width and height of the browser window. toolbarSettings: { items: [‘Maximize’]}
Minimize Minimize icon Shrinks the editor to the default width and height. toolbarSettings: { items: [‘Minimize’]}
Preview Preview icon Allows to see how the editor’s content looks in a browser. toolbarSettings: { items: [‘Preview’]}
InsertCode InsertCode icon Represents preformatted text which is to be presented exactly as written in the HTML file. toolbarSettings: { items: [‘InsertCode’]}
Print Print icon Allows to print the editor content. toolbarSettings: { items: [‘Print’]}
ClearAll ClearAll icon Removes all styles that have been applied to the selected text. toolbarSettings: { items: [‘ClearAll’]}
SourceCode SourceCode icon Rich Text Editor includes the ability for users to directly edit HTML code via “Source View”. If you made any modification in Source view directly, synchronize with Design view. toolbarSettings: { items: [‘SourceCode’]}

Customizing toolbar items

Customize the toolbar by specifying desired items in toolbarSettings.items, removing unwanted tools. Below is an example of a tailored toolbar:

[Class-component]

import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

class App extends React.Component {
    rteValue = "<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>";
    
    tools = {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
            'FontName', 'FontSize', 'FontColor', 'BackgroundColor', '|', 'Undo', 'Redo']
    };
    
    render() {
        return (<RichTextEditorComponent height={350} toolbarSettings={this.tools} value={this.rteValue} >
        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
      </RichTextEditorComponent>);
    }
}
export default App;
import { HtmlEditor, Image, Inject, Link,ToolbarSettingsModel, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

class App extends React.Component<{},{}> {
  public tools: ToolbarSettingsModel = {
    items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
      'FontName', 'FontSize', 'FontColor', 'BackgroundColor', '|', 'Undo', 'Redo']
  };

  private rteValue:string = "<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>";
    
  public render() {
    return (
      <RichTextEditorComponent  height={350} toolbarSettings={this.tools} value={this.rteValue}>
        <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]} />
      </RichTextEditorComponent>
    );
  }
}

export default App;

[Functional-component]

import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

function App() {
    let rteValue = "<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>";
    
    let tools = {
      items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
        'FontName', 'FontSize', 'FontColor', 'BackgroundColor', '|', 'Undo', 'Redo']
    };
    return (
    <RichTextEditorComponent height={450} toolbarSettings={tools} rteValue={rteValue}>
      <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]}/>
    </RichTextEditorComponent>);
}
export default App;
import { HtmlEditor, Image, Inject, Link, QuickToolbar, RichTextEditorComponent, Toolbar } from '@syncfusion/ej2-react-richtexteditor';
import * as React from 'react';

function App() {
  let rteValue:string = "<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>";
    
  let tools: object = {
    items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
      'FontName', 'FontSize', 'FontColor', 'BackgroundColor', '|', 'Undo', 'Redo']
    };
  
  return (
    <RichTextEditorComponent  height={350} value={rteValue} toolbarSettings={tools}>
      <Inject services={[Toolbar, Image, Link, HtmlEditor, QuickToolbar]} />
    </RichTextEditorComponent>
  );
}
export default App;

How can I help you?
Built-in Tools in Angular Rich Text Editor Component
2 Feb 202621 minutes to read
The Angular Rich Text Editor’s toolbar provide tools for formatting, styling, and managing content, enhancing user productivity in a Rich Text Editor.
By default, the Angular Rich Text Editor displays the following toolbar items:
Bold,Italic,Underline,|,Formats,Alignments,Blockquote,OrderedList,UnorderedList,|,CreateLink,Image,|,SourceCode,Undo,Redo
These default items cover essential text editing features, such as text formatting, lists, alignment, and linking.
Available toolbar items
The following table shows the list of available tools in the Rich Text Editor’s toolbar.
The order of items in the toolbar can be customized to meet your application’s requirements. If no specific order is set, the editor will render the above default toolbar items. Below is a list of all available toolbar items in the Rich Text Editor.
Text formatting
It provides tools for applying text styles such as bold, italic, underline, strike-through, and more to modify the appearance of the text.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| Bold | ![]() |
Text that is thicker and darker than usual. | toolbarSettings: { items: [‘Bold’]} |
| Italic | ![]() |
Shows a text that is leaned to the right. | toolbarSettings: { items: [‘Italic’]} |
| Underline | ![]() |
The underline is added to the selected text. | toolbarSettings: { items: [‘Underline’]} |
| StrikeThrough | ![]() |
Apply double line strike through formatting for the selected text. | toolbarSettings: { items: [‘StrikeThrough’]} |
| ClearFormat | ![]() |
The clear format tool is useful to remove all formatting styles (such as bold, italic, underline, color, superscript, subscript, and more) from currently selected text. As a result, all the text formatting will be cleared and return to its default formatting styles. | toolbarSettings: { items: [‘ClearFormat’]} |
| Blockquote | ![]() |
Blockquotes visually highlight important text within an editor, emphasizing key information or quotations. | toobarSettings: { items: [‘Blockquote’]} |
| SubScript | ![]() |
Makes the selected text as subscript (lower). | toolbarSettings: { items: [‘SubScript’]} |
| SuperScript | ![]() |
Makes the selected text as superscript (higher). | toolbarSettings: { items: [‘SuperScript’]} |
| LowerCase | ![]() |
Change the case of selected text to lower in the content. | toolbarSettings: { items: [‘LowerCase’]} |
| UpperCase | ![]() |
Change the case of selected text to upper in the content. | toolbarSettings: { items: [‘UpperCase’]} |
Font and styling
Tools in this section allow users to customize font properties such as font family, size, color, background color, and paragraph formatting.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| FontName | ![]() |
Defines the fonts that appear under the Font Family DropDownList from the Rich Text Editor’s toolbar. | toolbarSettings: { items: [‘FontName’]} |
| FontSize | ![]() |
Defines the font sizes that appear under the Font Size DropDownList from the Rich Text Editor’s toolbar. | toolbarSettings: { items: [‘FontSize’]} |
| FontColor | ![]() |
Specifies an array of colors can be used in the colors popup for font color. | toolbarSettings: { items: [‘FontColor’]} |
| BackgroundColor | ![]() |
Specifies an array of colors can be used in the colors popup for background color. | toolbarSettings: { items: [‘BackgroundColor’]} |
| Formats (Paragraph, Headings) | ![]() |
An Object with the options that will appear in the Paragraph Format dropdown from the toolbar. | toolbarSettings: { items: [‘Formats’]} |
Alignment
This section provides alignment options for the text or content, allowing users to justify text or align it to the left, center, or right.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| Alignment | ![]() |
Align the content with left, center, and right margin. | toolbarSettings: { items: [‘Alignments’]} |
| JustifyLeft | ![]() |
Allows each line to begin at the same distance from the editor’s left-hand side. | toolbarSettings: { items: [‘JustifyLeft’]} |
| JustifyCenter | ![]() |
There is an even space on each side of each line since the text is not aligned to the left or right margins. | toolbarSettings: { items: [‘JustifyCenter’]} |
| JustifyRight | ![]() |
Allows each line to end at the same distance from the editor’s right-hand side. | toolbarSettings: { items: [‘JustifyRight’]} |
| JustifyFull | ![]() |
The text is aligned with both right and left margins. | toolbarSettings: { items: [‘JustifyFull’]} |
Lists and indentation
Tools here allow users to create ordered and unordered lists, change the list style, and adjust indentation levels for improved document structure.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| OrderedList | ![]() |
Create a new list item(numbered). | toolbarSettings: { items: [‘OrderedList’]} |
| UnorderedList | ![]() |
Create a new list item(bulleted). | toolbarSettings: { items: [‘UnorderedList’]} |
| NumberFormatList | ![]() |
Allows to create list items with various list style types(numbered). | toolbarSettings: { items: [‘NumberFormatList’]} |
| BulletFormatList | ![]() |
Allows to create list items with various list style types(bulleted). | toolbarSettings: { items: [‘BulletFormatList’]} |
| Indent | ![]() |
Allows to increase the indent level of the content. | toolbarSettings: { items: [‘Indent’]} |
| Outdent | ![]() |
Allows to decrease the indent level of the content. | toolbarSettings: { items: [‘Outdent’]} |
Hyperlinks
This section provides tools for inserting and managing hyperlinks within the content. Users can create new links or modify existing ones to enhance document navigation and interactivity.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| Hyperlink | ![]() |
Creates a hyperlink to a text or image to a specific location in the content. | toolbarSettings: { items: [‘CreateLink’]} |
| InsertLink | ![]() |
Allows users to add a link to a particular item. | toolbarSettings: { items: [‘InsertLink’]} |
Link quick toolbar items
The link quicktoolbar provides tools to manage hyperlinks in the Rich Text Editor, allowing users to add, edit, or remove links from selected text or images directly within the editor.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| OpenLink | ![]() |
To open the URL link that is attached to the selected text. | quickToolbarSettings: { link: [‘OpenLink’]} |
| EditLink | ![]() |
Allows you to change the URL that has been attached to a specific item. | quickToolbarSettings: { link: [‘EditLink’]} |
| RemoveLink | ![]() |
Allows you to remove the applied link from the selected item. | quickToolbarSettings: { link: [‘RemoveLink’]} |
Images
This section contains the primary tool for inserting images into the editor.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| Insert Image | ![]() |
Inserts an image from an online source or local computer. | toolbarSettings: { items: [‘Image’]} |
Image quick toolbar items
The image quicktoolbar offers a set of tools to edit images inserted in the Rich Text Editor. It allows users to modify image properties, including alignment, size, alternate text, and links, enhancing image management in the content.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| Replace Image | ![]() |
Replace the selected image with another image. | quickToolbarSettings: { image: [‘Replace’]} |
| Align Image | ![]() |
The image can be aligned to the right, left, or center. | quickToolbarSettings: { image: [‘Align’]} |
| Remove Image | ![]() |
Allows to remove the selected image from the editor. | quickToolbarSettings: { image: [‘Remove’]} |
| OpenImageLink | ![]() |
Opens the link that is attached to the selected image. | quickToolbarSettings: { image: [‘OpenImageLink’]} |
| EditImageLink | ![]() |
Allows to edit the link that is attached to the selected image. | quickToolbarSettings: { image: [‘EditImageLink’]} |
| RemoveImageLink | ![]() |
Removes the link that is attached to the selected image. | quickToolbarSettings: { image: [‘RemoveImageLink’]} |
| Display | ![]() |
Allows you to choose whether an image should be shown inline or as a block. | quickToolbarSettings: { image: [‘Display’]} |
| AltText | ![]() |
To display image description when an image on a Web page cannot be displayed. | quickToolbarSettings: { image: [‘AltText’]} |
| Dimension | ![]() |
Allows you to customize the image’s height and width. | quickToolbarSettings: { image: [‘Dimension’]} |
Tables
This section offers the main tool for creating tables within the content.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| CreateTable | ![]() |
Create a table with defined columns and rows. | toolbarSettings: { items: [‘CreateTable’]} |
Table quick toolbar items
The table quicktoolbar provides options for table editing within the Rich Text Editor. Users can insert or remove rows and columns, merge or split cells, and access table properties for easier table management and customization.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| RemoveTable | ![]() |
Removes the selected table and its contents. | quickToolbarSettings: { table: [‘TableRemove’]} |
| TableHeader | ![]() |
Allows you to add a table header. | quickToolbarSettings: { table: [‘TableHeader’]} |
| TableColumns | ![]() |
Shows the dropdown to insert a column or delete the selected column. | quickToolbarSettings: { table: [‘TableColumns’]} |
| TableRows | ![]() |
Shows the dropdown to insert a row or delete the selected row. | quickToolbarSettings: { table: [‘TableRows’]} |
| TableCellHorizontalAlign | ![]() |
Allows the table cell content to be aligned horizontally. | quickToolbarSettings: { table: [‘TableCellHorizontalAlign’]} |
| TableCellVerticalAlign | ![]() |
Allows the table cell content to be aligned vertically. | quickToolbarSettings: { table: [‘TableCellVerticalAlign’]} |
| TableEditProperties | ![]() |
Allows you to change the table width, padding, and cell spacing styles. | quickToolbarSettings: { table: [‘TableEditProperties’]} |
Horizontal Line
Horizontal lines visually separate sections of content in the editor, enhancing readability and layout clarity.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| Horizontal Line | Allows you to insert horizontal line. | toolbarSettings: { items: [‘HorizontalLine’]} |
Undo and redo
These tools allow users to easily undo or redo any changes made within the editor to restore or repeat previous actions.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| Undo | ![]() |
Allows to undo the actions. | toolbarSettings: { items: [‘Undo’]} |
| Redo | ![]() |
Allows to redo the actions. | toolbarSettings: { items: [‘Redo’]} |
Other tools
This section contains miscellaneous tools such as full-screen mode, print, preview, source code editing, and clearing all styles from text.
| Name | Icons | Summary | Initialization |
|---|---|---|---|
| FullScreen | ![]() |
Stretches the editor to the maximum width and height of the browser window. | toolbarSettings: { items: [‘FullScreen’]} |
| Maximize | ![]() |
Stretches the editor to the maximum width and height of the browser window. | toolbarSettings: { items: [‘Maximize’]} |
| Minimize | ![]() |
Shrinks the editor to the default width and height. | toolbarSettings: { items: [‘Minimize’]} |
| Preview | ![]() |
Allows to see how the editor’s content looks in a browser. | toolbarSettings: { items: [‘Preview’]} |
| InsertCode | ![]() |
Represents preformatted text which is to be presented exactly as written in the HTML file. | toolbarSettings: { items: [‘InsertCode’]} |
![]() |
Allows to print the editor content. | toolbarSettings: { items: [‘Print’]} | |
| ClearAll | ![]() |
Removes all styles that have been applied to the selected text. | toolbarSettings: { items: [‘ClearAll’]} |
| SourceCode | ![]() |
Rich Text Editor includes the ability for users to directly edit HTML code via “Source View”. If you made any modification in Source view directly, synchronize with Design view. | toolbarSettings: { items: [‘SourceCode’]} |
Customizing toolbar items
Customize the toolbar by specifying desired items in toolbarSettings.items, removing unwanted tools. Below is an example of a tailored toolbar:
import { RichTextEditorModule } from '@syncfusion/ej2-angular-richtexteditor'
import { Component } from '@angular/core';
import { ToolbarService, LinkService, ImageService, HtmlEditorService } from '@syncfusion/ej2-angular-richtexteditor';
@Component({
imports: [
RichTextEditorModule,
],
standalone: true,
selector: 'app-root',
template: `<ejs-richtexteditor id='rteTool' [toolbarSettings]='tools' [value]="value" >
</ejs-richtexteditor>`,
providers: [ToolbarService, LinkService, ImageService, HtmlEditorService]
})
export class AppComponent {
public tools: object = {
items: ['Undo', 'Redo', '|', 'Bold', 'Italic', 'Underline', 'StrikeThrough', '|', 'FontName', 'FontSize', 'FontColor', 'BackgroundColor'],
};
public value: string = "<p>The Rich Text Editor component is WYSIWYG (\"what you see is what you get\") editor that provides the best user experience to create and update the content. Users can format their content using standard toolbar commands.</p><p><b>Key features:</b></p><ul><li><p>Provides <IFRAME> and <DIV> modes</p></li><li><p>Capable of handling markdown editing.</p></li><li><p>Contains a modular library to load the necessary functionality on demand.</p></li><li><p>Provides a fully customizable toolbar.</p></li><li><p>Provides HTML view to edit the source directly for developers.</p></li><li><p>Supports third-party library integration.</p></li><li><p>Allows preview of modified content before saving it.</p></li><li><p>Handles images, hyperlinks, video, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager.</p></li><li><p>Creates bulleted and numbered lists.</p></li></ul>";
}import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));



















































Syncfusion AI Assistant

How can I help you?

Built-in Tools in Vue Rich Text Editor Component

13 Mar 202624 minutes to read

By default, the Vue Rich Text Editor displays the following toolbar items:

Bold , Italic , Underline , | , Formats , Alignments , Blockquote, OrderedList , UnorderedList , | , CreateLink , Image , | , SourceCode , Undo , Redo

These default items cover essential text editing features, such as text formatting, lists, alignment, and linking.

Available toolbar items

The order of items in the toolbar can be customized to meet your application’s requirements. If no specific order is set, the editor will render the above default toolbar items. Below is a list of all available toolbar items in the Rich Text Editor.

Text formatting

It provides tools for applying text styles such as bold, italic, underline, strike-through, and more to modify the appearance of the text.

Name Icons Summary Initialization
Bold Bold icon Text that is thicker and darker than usual. toolbarSettings: { items: [‘Bold’]}
Italic Italic icon Shows a text that is leaned to the right. toolbarSettings: { items: [‘Italic’]}
Underline Underline icon The underline is added to the selected text. toolbarSettings: { items: [‘Underline’]}
StrikeThrough StrikeThrough icon Apply double line strike through formatting for the selected text. toolbarSettings: { items: [‘StrikeThrough’]}
ClearFormat ClearFormat icon The clear format tool is useful to remove all formatting styles (such as bold, italic, underline, color, superscript, subscript, and more) from currently selected text. As a result, all the text formatting will be cleared and return to its default formatting styles. toolbarSettings: { items: [‘ClearFormat’]}
Blockquote Blockquote icon Blockquotes visually highlight important text within an editor, emphasizing key information or quotations. toobarSettings: { items: [‘Blockquote’]}
SubScript SubScript icon Makes the selected text as subscript (lower). toolbarSettings: { items: [‘SubScript’]}
SuperScript SuperScript icon Makes the selected text as superscript (higher). toolbarSettings: { items: [‘SuperScript’]}
LowerCase LowerCase icon Change the case of selected text to lower in the content. toolbarSettings: { items: [‘LowerCase’]}
UpperCase UpperCase icon Change the case of selected text to upper in the content. toolbarSettings: { items: [‘UpperCase’’]}

Font & styling

Tools in this section allow users to customize font properties such as font family, size, color, background color, and paragraph formatting.

Name Icons Summary Initialization
FontName FontName icon Defines the fonts that appear under the Font Family DropDownList from the Rich Text Editor’s toolbar. toolbarSettings: { items: [‘FontName’]}
FontSize FontSize icon Defines the font sizes that appear under the Font Size DropDownList from the Rich Text Editor’s toolbar. toolbarSettings: { items: [‘FontSize’]}
FontColor FontColor icon Specifies an array of colors can be used in the colors popup for font color. toolbarSettings: { items: [‘FontColor’]}
BackgroundColor BackgroundColor icon Specifies an array of colors can be used in the colors popup for background color. toolbarSettings: { items: [‘BackgroundColor’]}
Formats (Paragraph, Headings) Format icon An Object with the options that will appear in the Paragraph Format dropdown from the toolbar. toolbarSettings: { items: [‘Formats’]}

Alignment

This section provides alignment options for the text or content, allowing users to justify text or align it to the left, center, or right.

Name Icons Summary Initialization
Alignment Alignment icon Align the content with left, center, and right margin. toolbarSettings: { items: [‘Alignments’]}
JustifyLeft JustifyLeft icon Allows each line to begin at the same distance from the editor’s left-hand side. toolbarSettings: { items: [‘JustifyLeft’]}
JustifyCenter JustifyCenter icon There is an even space on each side of each line since the text is not aligned to the left or right margins. toolbarSettings: { items: [‘JustifyCenter’]}
JustifyRight JustifyRight icon Allows each line to end at the same distance from the editor’s right-hand side. toolbarSettings: { items: [‘JustifyRight’]}
JustifyFull JustifyFull icon The text is aligned with both right and left margins. toolbarSettings: { items: [‘JustifyFull’]}

Lists & indentation

Tools here allow users to create ordered and unordered lists, change the list style, and adjust indentation levels for improved document structure.

Name Icons Summary Initialization
OrderedList OrderedList icon Create a new list item(numbered). toolbarSettings: { items: [‘OrderedList’]}
UnorderedList UnorderedList icon Create a new list item(bulleted). toolbarSettings: { items: [‘UnorderedList’]}
NumberFormatList NumberFormatList icon Allows to create list items with various list style types(numbered). toolbarSettings: { items: [‘NumberFormatList’]}
BulletFormatList BulletFormatList icon Allows to create list items with various list style types(bulleted). toolbarSettings: { items: [‘BulletFormatList’]}
Indent Indent icon Allows to increase the indent level of the content. toolbarSettings: { items: [‘Indent’]}
Outdent Outdent icon Allows to decrease the indent level of the content. toolbarSettings: { items: [‘Outdent’]}

This section provides tools for inserting and managing hyperlinks within the content. Users can create new links or modify existing ones to enhance document navigation and interactivity.

Name Icons Summary Initialization
Hyperlink Hyperlink icon Creates a hyperlink to a text or image to a specific location in the content. toolbarSettings: { items: [‘CreateLink’]}
InsertLink InsertLink icon Allows users to add a link to a particular item. toolbarSettings: { items: [‘InsertLink’]}

The link quicktoolbar provides tools to manage hyperlinks in the Rich Text Editor, allowing users to add, edit, or remove links from selected text or images directly within the editor.

Name Icons Summary Initialization
OpenLink OpenLink icon To open the URL link that is attached to the selected text. quickToolbarSettings: { link: [‘OpenLink’]}
EditLink EditLink icon Allows you to change the URL that has been attached to a specific item. quickToolbarSettings: { link: [‘EditLink’]}
RemoveLink RemoveLink icon Allows you to remove the applied link from the selected item. quickToolbarSettings: { link: [‘RemoveLink’]}

Images

This section contains the primary tool for inserting images into the editor.

Name Icons Summary Initialization
Insert Image Images icon Inserts an image from an online source or local computer. toolbarSettings: { items: [‘Image’]}

Image quicktoolbar items

The image quicktoolbar offers a set of tools to edit images inserted in the Rich Text Editor. It allows users to modify image properties, including alignment, size, alternate text, and links, enhancing image management in the content.

Name Icons Summary Initialization
Replace Image Replace icon Replace the selected image with another image. quickToolbarSettings: { image: [‘Replace’]}
Align Image Alignment icon Provides block‑level alignment options for positioning the image to the left, right, or center. quickToolbarSettings: { image: [‘Align’]}
Remove Image Remove icon Allows to remove the selected image from the editor. quickToolbarSettings: { image: [‘Remove’]}
OpenImageLink OpenImageLink icon Opens the link that is attached to the selected image. quickToolbarSettings: { image: [‘OpenImageLink’]}
EditImageLink EditImageLink icon Allows to edit the link that is attached to the selected image. quickToolbarSettings: { image: [‘EditImageLink’]}
RemoveImageLink RemoveImageLink icon Removes the link that is attached to the selected image. quickToolbarSettings: { image: [‘RemoveImageLink’]}
Display Display icon Allows you to choose whether an image should be shown inline or as a block. quickToolbarSettings: { image: [‘Display’]}
AltText AltText icon To display image description when an image on a Web page cannot be displayed. quickToolbarSettings: { image: [‘AltText’]}
Caption Caption icon Adds a caption container around the selected image, allowing caption text to be entered or updated directly in the editor. quickToolbarSettings: { image: [‘Caption’]}
WrapText WrapText icon Provides inline‑level text‑wrapping options for wrapping text to the left or right side of the image. quickToolbarSettings: { image: [‘WrapText’]}
Dimension Dimension icon Allows you to customize the image’s height and width. quickToolbarSettings: { image: [‘Dimension’]}

Tables

This section offers the main tool for creating tables within the content.

Name Icons Summary Initialization
CreateTable CreateTable icon Create a table with defined columns and rows. toolbarSettings: { items: [‘CreateTable’]}

Table quicktoolbar items

The table quicktoolbar provides options for table editing within the Rich Text Editor. Users can insert or remove rows and columns, merge or split cells, and access table properties for easier table management and customization.

Name Icons Summary Initialization
RemoveTable RemoveTable icon Removes the selected table and its contents. quickToolbarSettings: { table: [‘TableRemove’]}
TableHeader TableHeader icon Allows you to add a table header. quickToolbarSettings: { table: [‘TableHeader’]}
TableColumns TableColumns icon Shows the dropdown to insert a column or delete the selected column. quickToolbarSettings: { table: [‘TableColumns’]}
TableRows TableRows icon Shows the dropdown to insert a row ors delete the selected row. quickToolbarSettings: { table: [‘TableRows’]}
TableCellHorizontalAlign TableCellHorizontalAlign icon Allows the table cell content to be aligned horizontally. quickToolbarSettings: { table: [‘TableCellHorizontalAlign’]}
TableCellVerticalAlign TableCellVerticalAlign icon Allows the table cell content to be aligned vertically. quickToolbarSettings: { table: [‘TableCellVerticalAlign’]}
TableEditProperties TableEditProperties icon Allows you to change the table width, padding, and cell spacing styles. quickToolbarSettings: { table: [‘TableEditProperties’]}

Horizontal Line

Horizontal lines visually separate sections of content in the editor, enhancing readability and layout clarity.

Name Icons Summary Initialization
Horizontal Line HorizontalLine icon Allows you to insert horizontal line. toolbarSettings: { items: [‘HorizontalLine’]}

Undo & redo

These tools allow users to easily undo or redo any changes made within the editor to restore or repeat previous actions.

Name Icons Summary Initialization
Undo Undo icon Allows to undo the actions. toolbarSettings: { items: [‘Undo’]}
Redo Redo icon Allows to redo the actions. toolbarSettings: { items: [‘Redo’]}

Other tools

This section contains miscellaneous tools such as full-screen mode, print, preview, source code editing, and clearing all styles from text.

Name Icons Summary Initialization
FullScreen FullScreen icon Stretches the editor to the maximum width and height of the browser window. toolbarSettings: { items: [‘FullScreen’]}
Maximize Maximize icon Stretches the editor to the maximum width and height of the browser window. toolbarSettings: { items: [‘Maximize’]}
Minimize Minimize icon Shrinks the editor to the default width and height. toolbarSettings: { items: [‘Minimize’]}
Preview Preview icon Allows to see how the editor’s content looks in a browser. toolbarSettings: { items: [‘Preview’]}
InsertCode InsertCode icon Represents preformatted text which is to be presented exactly as written in the HTML file. toolbarSettings: { items: [‘InsertCode’]}
Print Print icon Allows to print the editor content. toolbarSettings: { items: [‘Print’]}
ClearAll ClearAll icon Removes all styles that have been applied to the selected text. toolbarSettings: { items: [‘ClearAll’]}
SourceCode SourceCode icon Rich Text Editor includes the ability for users to directly edit HTML code via “Source View”. If you made any modification in Source view directly, synchronize with Design view. toolbarSettings: { items: [‘SourceCode’]}

Removing built-in tool from toolbar

Remove the build-in tools from the toolbar by using the toolbarSettings.items property.

<template>
  <div>
    <div class="control-section">
        <div class="sample-container">
            <div class="default-section">
              <ejs-richtexteditor ref="rteObj" :value="rteValue" :height="340" :toolbarSettings="toolbarSettings"></ejs-richtexteditor>
            </div>
        </div>
    </div>
  </div>
</template>

<script setup>
import { provide } from 'vue';
import { RichTextEditorComponent as EjsRichtexteditor, Toolbar, HtmlEditor } from "@syncfusion/ej2-vue-richtexteditor";

const rteValue = `<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>`;
const toolbarSettings = {
    items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
          'FontName', 'FontSize', 'FontColor', 'BackgroundColor', '|', 'Undo', 'Redo'
    ]
};
provide('richtexteditor', [Toolbar, HtmlEditor]);
</script>

<style>
@import "https://ej2.syncfusion.com/vue/documentation/../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>
<template>
  <div>
    <div class="control-section">
      <div class="sample-container">
        <div class="default-section">
          <ejs-richtexteditor ref="rteObj" :value="rteValue" :height="340" :toolbarSettings="toolbarSettings"></ejs-richtexteditor>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import { RichTextEditorComponent, Toolbar, HtmlEditor } from "@syncfusion/ej2-vue-richtexteditor";
export default {
  name: "App",
  components: {
    "ejs-richtexteditor": RichTextEditorComponent
  },
  data: function () {
    return {
      rteValue: `<p>The Syncfusion Rich Text Editor, a WYSIWYG (what you see is what you get) editor, is a user interface that allows you to create, edit, and format rich text content. You can try out a demo of this editor here.</p><p><b>Key features:</b></p><ul><li><p>Provides &lt;IFRAME&gt; and &lt;DIV&gt; modes.</p></li><li><p>Bulleted and numbered lists.</p></li><li><p>Handles images, hyperlinks, videos, hyperlinks, uploads, etc.</p></li><li><p>Contains undo/redo manager. </p></li></ul><div style='display: inline-block; width: 60%; vertical-align: top; cursor: auto;'><img alt='Sky with sun' src='https://cdn.syncfusion.com/ej2/richtexteditor-resources/RTE-Overview.png' width='309' style='min-width: 10px; min-height: 10px; width: 309px; height: 174px;' class='e-rte-image e-imginline e-rte-drag-image' height='174' /></div>`,
      toolbarSettings: {
        items: ['Bold', 'Italic', 'Underline', 'StrikeThrough',
          'FontName', 'FontSize', 'FontColor', 'BackgroundColor', '|', 'Undo', 'Redo'
        ]
      },
    };
  },
  provide: {
    richtexteditor: [Toolbar, HtmlEditor]
  }
}
</script>

<style>@import "https://ej2.syncfusion.com/vue/documentation/../node_modules/@syncfusion/ej2-base/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-inputs/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-lists/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-popups/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-buttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-navigations/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-splitbuttons/styles/tailwind3.css";
@import "../../node_modules/@syncfusion/ej2-vue-richtexteditor/styles/tailwind3.css";
</style>